// Avoid `console` errors in browsers that lack a console.
(function () {
    var method;
    var noop = function () {
    };
    var methods = [
        'assert', 'clear', 'count', 'debug', 'dir', 'dirxml', 'error',
        'exception', 'group', 'groupCollapsed', 'groupEnd', 'info', 'log',
        'markTimeline', 'profile', 'profileEnd', 'table', 'time', 'timeEnd',
        'timeStamp', 'trace', 'warn'
    ];
    var length = methods.length;
    var console = (window.console = window.console || {});

    while (length--) {
        method = methods[length];

        // Only stub undefined methods.
        if (!console[method]) {
            console[method] = noop;
        }
    }
}());





$(document).ready(function ($) {



    $('input[type="text"],input[type="email"],input[type="password"], textarea').placeholder();

    $('.visit-list-item').bind("touchstart",function(){

        $('.visit-list-item').each(function(){
            $(this).removeClass("pressed");
        });

        if($(this).attr("data-url")!=="null"){
         $(this).addClass("pressed");
        }
    });

     $('.visit-list-item').bind("touchend",function(){
        
         $(this).removeClass("pressed");
        
    });

    $('.visit-list-item').bind("mouseenter",function(){
        
         $(this).addClass("pressed");
        
    });

    $('.visit-list-item').bind("mouseleave",function(){
        
         $(this).removeClass("pressed");
        
    });


    $('.visit-list-item').bind("touchmove",function(){
        
         $(this).removeClass("pressed");
        
    })

    

    $('.visit-list-item').click(function(){
        if($(this).attr("data-url")!=="null"){

            $(this).removeClass("pressed");
            window.location.href = $(this).attr("data-url");
        }
       
    });

    $('.visit-list-item.not-pressed').off();

    
});




